For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update custom ledger

Updates an existing custom ledger.

put

Updates custom ledger properties. Only provided fields will be modified.

Path parameters
idstringRequired

The ID of the custom ledger to update.

Body

Represents a custom ledger in the billing system.

revisioninteger · int32Optional
idstringOptional

The unique identifier of the custom ledger.

namestringOptional

Name of the custom ledger.

Example: Quarterly Revenue Ledger
billingStartDatestring · date-timeOptional

The start date of the billing period for the custom ledger.

Example: 2025-01-01T00:00:00+00:00
billingEndDatestring · date-timeOptional

The end date of the billing period for the custom ledger.

Example: 2025-03-31T23:59:59+00:00
notesstring · nullableOptional

Additional notes or comments about the custom ledger.

Example: Includes all transactions for Q1 2025.
statusstring · enumOptional

Represents the various statuses a custom ledger can have in the billing system.

Possible values:
Responses
200

OK

application/json

Represents a custom ledger in the billing system.

revisioninteger · int32Optional
idstringOptional

The unique identifier of the custom ledger.

namestringOptional

Name of the custom ledger.

Example: Quarterly Revenue Ledger
billingStartDatestring · date-timeOptional

The start date of the billing period for the custom ledger.

Example: 2025-01-01T00:00:00+00:00
billingEndDatestring · date-timeOptional

The end date of the billing period for the custom ledger.

Example: 2025-03-31T23:59:59+00:00
notesstring · nullableOptional

Additional notes or comments about the custom ledger.

Example: Includes all transactions for Q1 2025.
statusstring · enumOptional

Represents the various statuses a custom ledger can have in the billing system.

Possible values:
put/public/v1/billing/custom-ledgers/{id}

Last updated

Was this helpful?